Open a serious incident (Art. 73) for an agent or MCP server
curl --request POST \
--url https://api.dev.swarmd.ai/registry/v1/governance/incidents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"awarenessAt": "2023-11-07T05:31:56Z",
"causalLinkEstablishedAt": "2023-11-07T05:31:56Z",
"confirmed": true,
"monitorAlertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hitlRequestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"evidence": {}
}
'import requests
url = "https://api.dev.swarmd.ai/registry/v1/governance/incidents"
payload = {
"subjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"awarenessAt": "2023-11-07T05:31:56Z",
"causalLinkEstablishedAt": "2023-11-07T05:31:56Z",
"confirmed": True,
"monitorAlertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hitlRequestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"evidence": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subjectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
title: '<string>',
description: '<string>',
awarenessAt: '2023-11-07T05:31:56Z',
causalLinkEstablishedAt: '2023-11-07T05:31:56Z',
confirmed: true,
monitorAlertId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
hitlRequestId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
evidence: {}
})
};
fetch('https://api.dev.swarmd.ai/registry/v1/governance/incidents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"incidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectType": "AGENT",
"subjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectName": "<string>",
"category": "DEATH",
"legalBasis": "<string>",
"status": "DRAFT",
"title": "<string>",
"description": "<string>",
"awarenessAt": "2023-11-07T05:31:56Z",
"causalLinkEstablishedAt": "2023-11-07T05:31:56Z",
"reportDueAt": "2023-11-07T05:31:56Z",
"overdue": true,
"reportedAt": "2023-11-07T05:31:56Z",
"reportReference": "<string>",
"closedAt": "2023-11-07T05:31:56Z",
"closeReason": "<string>",
"monitorAlertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hitlRequestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"evidence": {},
"openedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Governance
Open a serious incident (Art. 73) for an agent or MCP server
Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| USER | REGISTRY | WRITE | REGISTRY:WRITE |
POST
/
registry
/
v1
/
governance
/
incidents
Open a serious incident (Art. 73) for an agent or MCP server
Authorizations
JWT token (USER, AGENT, or SERVICE auth)
Body
application/json
Available options:
AGENT, MCP_SERVER, LLM_GATEWAY Available options:
DEATH, SERIOUS_HARM_TO_HEALTH, CRITICAL_INFRASTRUCTURE_DISRUPTION, FUNDAMENTAL_RIGHTS_INFRINGEMENT, WIDESPREAD_INFRINGEMENT, PROPERTY_OR_ENVIRONMENT_HARM Show child attributes
Show child attributes
Response
201 - */*
Created
Available options:
AGENT, MCP_SERVER, LLM_GATEWAY Available options:
DEATH, SERIOUS_HARM_TO_HEALTH, CRITICAL_INFRASTRUCTURE_DISRUPTION, FUNDAMENTAL_RIGHTS_INFRINGEMENT, WIDESPREAD_INFRINGEMENT, PROPERTY_OR_ENVIRONMENT_HARM Available options:
DRAFT, OPEN, REPORTED, CLOSED Show child attributes
Show child attributes
